Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039060
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorrandom2018-07-27 09:092018-08-08 13:06
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revisionf8a0698bec67
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039060: reports randomly not downloaded using different server names

DescriptionIf the same Openbravo instance is accessed concurrently with different server name (ie via ip and server name), downloading reports can randomly fail.
Steps To ReproduceIn a local instance:

1. Apply attached 39060-force-error.diff which allows to emulate concurrency race condition by delaying half of the requests to GeneralAccountingReports
2. In browser A, log in using http://localhost:8080/openbravo [^]
3. In browser B (note it must be another browser/context in order to isolate session cookies), log in using http://127.0.0.1:8080/openbravo [^]
4. In both browsers open Balance sheet and P&L structure report
5. Fill in all required parameters
6. In browser A, click on PDF button (check it takes more than 5s to complete the request, if that's not the case click again)
7. While browser A is processing the request, in browser B click on PDF button
  -> ERROR: the report is not downloaded in browser A, although it is in B
            there should be a GET request to download report, depending on names used for server and on browser, this request in the failing browser will have a 302 status (which redirects to Login page though it is not visualized) or it will be completelly blocked by browser
TagsNo tags attached.
Attached Filesdiff file icon 39060-force-error.diff [^] (1,708 bytes) 2018-07-27 09:10 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034526 acknowledgedplatform HttpBaseServlet is not thread safe 
related to defect 0038590 closedplatform Failure to download pdf 
blocks design defect 0034664 acknowledgedplatform multi thread unsafeties 

-  Notes
(0105978)
hgbot (developer)
2018-07-27 11:05

Repository: erp/devel/pi
Changeset: f8a0698bec678ae8b056ae1046936e5309c4b2f1
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jul 27 11:04:10 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f8a0698bec678ae8b056ae1046936e5309c4b2f1 [^]

fixed bug 39060: reports randomly not downloaded using different server names

  When a report is generated in server a response with the information to download
  it is sent back to client. This information included full url based on strDireccion
  value, this variable is not thread safe and in case of using differnt names it
  can take an unexpected value.

  Now instead of an absolute path, we send a relative path startring from context.

---
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
---
(0106134)
caristu (developer)
2018-08-03 09:15

Code reviewed + tested OK.
(0106233)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-07-27 09:09 alostale New Issue
2018-07-27 09:09 alostale Assigned To => platform
2018-07-27 09:09 alostale Modules => Core
2018-07-27 09:09 alostale Triggers an Emergency Pack => No
2018-07-27 09:10 alostale File Added: 39060-force-error.diff
2018-07-27 09:16 alostale Steps to Reproduce Updated View Revisions
2018-07-27 09:17 alostale Steps to Reproduce Updated View Revisions
2018-07-27 09:17 alostale Reproducibility have not tried => random
2018-07-27 09:18 alostale Relationship added blocks 0034664
2018-07-27 09:19 alostale Relationship added related to 0034526
2018-07-27 09:20 alostale Steps to Reproduce Updated View Revisions
2018-07-27 09:24 alostale Steps to Reproduce Updated View Revisions
2018-07-27 11:00 alostale Review Assigned To => caristu
2018-07-27 11:00 alostale Assigned To platform => alostale
2018-07-27 11:01 alostale Relationship added related to 0038590
2018-07-27 11:05 hgbot Checkin
2018-07-27 11:05 hgbot Note Added: 0105978
2018-07-27 11:05 hgbot Status new => resolved
2018-07-27 11:05 hgbot Resolution open => fixed
2018-07-27 11:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f8a0698bec678ae8b056ae1046936e5309c4b2f1 [^]
2018-07-27 12:40 martinsdan Issue Monitored: martinsdan
2018-08-03 09:15 caristu Note Added: 0106134
2018-08-03 09:15 caristu Status resolved => closed
2018-08-03 09:15 caristu Fixed in Version => 3.0PR18Q4
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106233


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker